/* --- Global Variables --- */
:root {
  /* --- Colours --- */
  --mainColour: #99092f;
  --darkGrey: #595959;
  --lightGrey: #E8E6E6;
  --normalBlue: #0057E1;

  /* --- Device Measurements --- */
  --maxWidthTvs: 1024px;
  --maxWidthLaptop: 1400px;
  --maxWidthTablet: 768px;
  --maxWidthMobile: 480px;
  --screenSize: 1400px;

  /* --- Font Families --- */
  --titles: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  --paragraphs: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* --- Global Settings ---  */

section {
  padding-bottom: 30px;
}


h1 {
  color: #99092f;
  font-size: 40px;
  font-family: var(--titles);
}

hr {
  /* width: 90%;
  margin: auto;
  border-color: var(--mainColour);
  height: 1px; */

  display: block;
  height: 1px;
  width: 90%;
  border: 0;
  border-top: 1px solid var(--mainColour);
  margin: 1em 5%;
  padding: 0;
}

p {
  color: var(--darkGrey);
  padding: 0px 30px;
  font-size: 14px;
  font-family: var(--paragraphs);
}

button {
  width: 142px;
  height: 40px;
  border-radius: 0px;
  border: 0px;
  font-family: var(--titles);
  font-weight: bold;
  background-color: var(--mainColour);
  color: white;
  font-size: 16px;
}


/* --- General Sets --- */
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

/* ----------------------- */

/* --- Menu --- */
.nav-bar {
  display: flex;
  justify-content: space-around;
  align-items: center;

  padding: 10px;
  height: 143px;
}

.logo {
  display: flex;

}

.menu-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: var(--screenSize);
}

.nav-list {
  list-style: none;
}

.nav-list .list-items {
  display: inline-block;
  margin: auto;

}

.nav-list a {
  text-decoration: none;
  color: var(--darkGrey);
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  padding: 0px 10px;
  font-weight: 500;


}

.nav-bar a:hover {
  color: var(--mainColour);
  /* font-weight: bolder;     */
}


.company-logo {
  height: 100%;

}

/* div {
    border: 1px solid black;
} */


/* Menu hamburguer style */

.menu-hamburguer {
  display: none;
  margin-left: 10px;
  z-index: 2;
}

.menu-line {
  width: 20px;
  height: 3px;
  background-color: var(--mainColour);
  margin-top: 4px;
}

.menu-upperline {
  width: 90%;
  height: 1px;
  background-color: var(--mainColour);
  margin-top: 4px;
}

/* --------------- */
/* --- Main Banner Images --- */
/* --------------- */


/* Slideshow container */
.slideshow-container {
  max-width: var(--screenSize);
  position: relative;
  margin: auto;
}

.mainSlideshow {
  position: relative;
  height: 575px;
  /* background-color: #0057E1; */
}

.mainSlideshow>img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.brand-title {
  position: absolute;
  background-color: var(--mainColour);
  color: white;
  font-family: var(--titles);
  font-weight: bold;
  font-size: 3rem;
  top: 10px;
  left: 10%;
}

/* --------------- */
/* Brand description */
/* --------------- */

.main-products-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
  max-width: var(--screenSize);
  margin: auto;
  margin-top: 40px;
}

.main-products-content {
  padding-bottom: 50px;
}

.product-brand-description {
  flex-basis: 600px;
  text-align: center;
}

.product-brand-description>p {
  line-height: 2;
}

/* ----------------------------
----------- Products ----------
----------------------------  */

.product-list-container {
  max-width: var(--screenSize);
  margin: auto;
  width: var(--screenSize);

  display: flex;
  justify-content: space-between;
  gap: 20px;
  flex-wrap: wrap;
}

.products-image {
  height: 440px;
  width: 687px;
  flex-grow: 1;
}

.products-image>img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.products-description {
  background-color: var(--mainColour);
  padding: 20px;
}


.products-description>h1 {
  color: white;
  text-align: center;
}

.product-list-container>a {
  text-decoration: none;
}

/* ----------------------------
----------- Footer -----------
----------------------------  */


.footer {
  background-color: var(--mainColour);
  display: flex;
  flex-wrap: wrap;
  padding: 10px 0px;
}

.footer-title {
  background-color: var(--mainColour);
  padding: 10px;
  width: 100%;
  flex-grow: 1;
  align-items: center;
}

.footer-title>h1 {
  text-align: center;
  color: white;
}

.contacts {
  width: 50%;
  background-color: var(--mainColour);
  padding: 10px;
  text-align: right;
  color: white;
  font-family: var(--paragraphs);
  line-height: 2;
}

.contact-title {
  font-weight: bold;
}

.social-medias {
  width: 50%;
  background-color: var(--mainColour);
  padding: 10px;
  text-align: left;
  color: white;
  font-family: var(--paragraphs);
  line-height: 2;
  font-weight: bold;
  font-size: 20px;
}


/* ----------------------------------------- */
/* --- Media Query --- */
/* ----------------------------------------- */

/* --- Tablets --- */
@media all and (max-width:820px) {
  .menu-div {
    flex-direction: column;
  }

  .nav-list .list-items {
    display: block;
    padding: 10px;
  }

  .nav-list {
    width: 100%;
    background-color: white;
    text-align: center;
    margin: auto;
    display: none;
    z-index: 1;
  }

  .menu-hamburguer {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
  }

  .menu-hamburguer:hover {
    cursor: pointer;
  }


  .logo {
    height: 60px;
  }

  .active {
    display: block;
  }

  .nav-bar {
    height: 60px;
    margin-bottom: 10px;
  }

  :root{
    --screenSize: 100vw-10px;
  }

  .product-list-container {
    justify-content: center;
  }
}

/* --- Mobile --- */
@media all and (max-width:820px) {
  .menu-div {
    flex-direction: column;
  }

  .nav-list .list-items {
    display: block;
    padding: 10px;
  }

  .nav-list {
    width: 100%;
    background-color: white;
    text-align: center;
    margin: auto;
    display: none;
    z-index: 1;
  }

  .menu-hamburguer {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
  }

  .menu-hamburguer:hover {
    cursor: pointer;
  }


  .logo {
    height: 60px;
  }

  .active {
    display: block;
  }

  .nav-bar {
    height: 60px;
    margin-bottom: 10px;
  }

  :root{
    --screenSize: 100vw-10px;
  }

  .product-list-container {
    justify-content: center;
  }


  /* --- Elements --- */

  .brand-title{
  width: 80%;
  top: 5%;
  left: 5%;
  font-size: 2rem;
}

.mainSlideshow{
    height: 30vh;        
}

.main-banner{
  margin-bottom: 0px;  
}

.slideshow-container{
    max-width: 90vw;
    margin: auto;
}

.product-brand-description{
    order:-1;
    width: 90%;
    margin: auto;
}

.product-highlight{
    width: 80%;
}

.main-products-content{
    padding-bottom: 10px;
    max-width: 90vw;
}

.products-description h1{
  font-size: 2rem;  
}

.products-inspiration-gallery-container {
    display: flex;
    flex-direction: column;
    margin: auto;
    gap: 10px;
    justify-content: center;
    align-items: center;
    max-width: 90vw;
}

.slideshow-containe, .products-inspiration-title {
    max-width: 90vw;
}

.products-specification-text{
    max-width: 90vw;
}

.products-inspiration-title, .products-image{
    max-width: 90vw;
}

.product-brand-description{
  margin-top: 0px;
  padding: 0px;
}

.products-image{
  height: 30vh;
}

.product-list-container{
  flex-direction: column;
  max-width: 90vw;
}

